import type Dimension from "../../v1/Dimension";
import type { DimensionFK, DimensionOptionsProps, DimensionOptionsSection } from "./types";
export default class DimensionOptions {
    name?: string;
    icon?: string;
    count: number;
    dimensions: Dimension[];
    fks: DimensionFK[];
    constructor(properties?: DimensionOptionsProps);
    all(): Dimension[];
    hasDimension(dimension: Dimension): boolean;
    sections({ extraItems }?: {
        extraItems?: never[] | undefined;
    }): DimensionOptionsSection[];
}
